File: pango.cabal

package info (click to toggle)
haskell-pango 0.13.8.1-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 304 kB
  • sloc: haskell: 77; ansic: 35; makefile: 10
file content (94 lines) | stat: -rw-r--r-- 3,917 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
Name:           pango
Version:        0.13.8.1
License:        LGPL-2.1
License-file:   COPYING
Copyright:      (c) 2001-2010 The Gtk2Hs Team
Author:         Axel Simon, Duncan Coutts
Maintainer:     gtk2hs-users@lists.sourceforge.net
Build-Type:     Custom
Cabal-Version:  >= 1.24
Stability:      stable
homepage:       http://projects.haskell.org/gtk2hs/
bug-reports:    https://github.com/gtk2hs/gtk2hs/issues
Synopsis:       Binding to the Pango text rendering engine.
Description:    This package provides a wrapper around the Pango C library that
                allows high-quality rendering of Unicode text. It can be used
                either with Cairo to output text in PDF, PS or other
                documents or with Gtk+ to display text on-screen.
Category:       Graphics
Tested-With:    GHC == 7.0.4, GHC == 7.2.2, GHC == 7.4.1
extra-source-files: template-hsc-gtk2hs.h
                    hspango.h
                    hierarchy.list

x-Types-File:      Graphics/Rendering/Pango/Types.chs
x-Types-ModName:   Graphics.Rendering.Pango.Types
x-Types-Forward:   *System.Glib.GObject
x-Types-Hierarchy: hierarchy.list

Data-Dir:       demo
Data-Files:     Layout.hs
                Makefile

Source-Repository head
  type:         git
  location:     https://github.com/gtk2hs/gtk2hs
  subdir:       pango

Flag new-exception
  Description:  Enable build with a base library that contains the new exception library.

custom-setup
  setup-depends: base >= 4.6,
                 Cabal >= 1.24 && < 3.3,
                 filepath >= 1.3 && < 1.5,
                 gtk2hs-buildtools >= 0.13.2.0 && < 0.14

Library
        build-depends:  base >= 4 && < 5,
                        process, directory, array, containers, pretty, mtl,
                        glib  >= 0.13.0.0 && < 0.14,
                        cairo >= 0.13.0.0 && < 0.14,
                        text >= 0.11.0.6 && < 1.3

        if flag(new-exception)
          build-depends:  base >= 4
          cpp-options:    -DHAVE_NEW_CONTROL_EXCEPTION
        else
          build-depends:  base < 4

        exposed-modules: Graphics.Rendering.Pango
                         Graphics.Rendering.Pango.Font
                         Graphics.Rendering.Pango.Enums
                         Graphics.Rendering.Pango.Context
                         Graphics.Rendering.Pango.Layout
                         Graphics.Rendering.Pango.Rendering
                         Graphics.Rendering.Pango.Markup
                         Graphics.Rendering.Pango.Cairo
                         -- these four modules are only used in code that creates
                         -- Pango data structures themselves
                         Graphics.Rendering.Pango.Types
                         Graphics.Rendering.Pango.BasicTypes
                         Graphics.Rendering.Pango.Structs
                         Graphics.Rendering.Pango.Attributes
        other-modules:   Graphics.Rendering.Pango.GlyphStorage
                         Graphics.Rendering.Pango.Description
        default-language:   Haskell98
        default-extensions: ForeignFunctionInterface
        x-c2hs-Header:  hspango.h
        includes:       hspango.h
        include-dirs:   .
        cpp-options:    -U__BLOCKS__ -DGLIB_DISABLE_DEPRECATION_WARNINGS
        if os(darwin) || os(freebsd)
          cpp-options: -D_Nullable= -D_Nonnull= -D_Noreturn= -D__attribute__(x)=
        if os(windows)
          cpp-options: -D__USE_MINGW_ANSI_STDIO=1
        -- Pango 1.26 has a mysterious bug that makes it go into an infinite
        -- loop. Don't allow the user to build against this version. (Omit the
        -- >= 1.0 constraint in this case since Cabal 1.6 can't parse it.)
        if os(darwin) || os(freebsd)
          pkgconfig-depends: pango < 1.26.0 || > 1.26.2
        else
          pkgconfig-depends: pango >= 1.0
        pkgconfig-depends:  cairo >= 1.2.0, pangocairo >= 1.10